Package com.enonic.xp.content

## Class UpdateContentParams

- java.lang.Object
- - com.enonic.xp.content.UpdateContentParams

-     @PublicApi
      public final class UpdateContentParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateContentParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `UpdateContentParams` | `clearAttachments​(boolean clearAttachments)` |
    `UpdateContentParams` | `contentId​(ContentId contentId)` |
    `UpdateContentParams` | `createAttachments​(CreateAttachments value)` |
    `UpdateContentParams` | `editor​(ContentEditor editor)` |
    `boolean` | `equals​(Object o)` |
    `ContentId` | `getContentId()` |
    `CreateAttachments` | `getCreateAttachments()` |
    `ContentEditor` | `getEditor()` |
    `PrincipalKey` | `getModifier()` | Deprecated.
    `BinaryReferences` | `getRemoveAttachments()` |
    `int` | `hashCode()` |
    `boolean` | `isClearAttachments()` |
    `boolean` | `isRequireValid()` |
    `UpdateContentParams` | `modifier​(PrincipalKey modifier)` | Deprecated.
    `UpdateContentParams` | `removeAttachments​(BinaryReferences removeAttachments)` |
    `UpdateContentParams` | `requireValid​(boolean value)` |
    `boolean` | `stopInherit()` |
    `UpdateContentParams` | `stopInherit​(boolean stopInherit)` |
    `void` | `validate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateContentParams

          public UpdateContentParams()

  - ### Method Detail

    - #### editor

          public UpdateContentParams editor​(ContentEditor editor)

    - #### contentId

          public UpdateContentParams contentId​(ContentId contentId)

    - #### modifier

          @Deprecated
          public UpdateContentParams modifier​(PrincipalKey modifier)

      Deprecated.

    - #### createAttachments

          public UpdateContentParams createAttachments​(CreateAttachments value)

    - #### requireValid

          public UpdateContentParams requireValid​(boolean value)

    - #### removeAttachments

          public UpdateContentParams removeAttachments​(BinaryReferences removeAttachments)

    - #### clearAttachments

          public UpdateContentParams clearAttachments​(boolean clearAttachments)

    - #### stopInherit

          public UpdateContentParams stopInherit​(boolean stopInherit)

    - #### validate

          public void validate()

    - #### getEditor

          public ContentEditor getEditor()

    - #### getModifier

          @Deprecated
          public PrincipalKey getModifier()

      Deprecated.

    - #### getContentId

          public ContentId getContentId()

    - #### getCreateAttachments

          public CreateAttachments getCreateAttachments()

    - #### isRequireValid

          public boolean isRequireValid()

    - #### getRemoveAttachments

          public BinaryReferences getRemoveAttachments()

    - #### isClearAttachments

          public boolean isClearAttachments()

    - #### stopInherit

          public boolean stopInherit()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`